class GeoTraveller
{
  SphereTangentTransform takeoff;
  SphereTangentTransform land;
  float hMul;
  
  GeoTraveller(SphereTangentTransform takeoff, SphereTangentTransform land, float hMul)
  {  
    this.takeoff = takeoff;
    this.land = land;
    this.hMul = hMul;
  }
  
  void update()
  {
  }
  
  void draw()
  {
    PVector pTakeOff   = this.takeoff.getPointSurface();
    PVector pLand      = this.land.getPointSurface();
  
    PVector pTakeOff2 = new PVector(pTakeOff.x,pTakeOff.y,pTakeOff.z);
    pTakeOff2.mult(hMul);
    PVector pLand2 = new PVector(pLand.x,pLand.y,pLand.z);
    pLand2.mult(hMul);
    
    noFill();
    stroke(0,209,0);
    strokeWeight(2);
    bezier(
            pTakeOff.x,pTakeOff.y,pTakeOff.z,pTakeOff2.x,pTakeOff2.y,pTakeOff2.z,
            pLand2.x,pLand2.y,pLand2.z,pLand.x,pLand.y,pLand.z
      );

   }
  

}
