class CameraPilot extends Camera
{
  float boomSpeed = 2;
  float truckSpeed = 2;
  float dollySpeed = 2;
  
  CameraPilot(PApplet parent, float fov, float aspect, float nearClip, float farClip)
  {
    super(parent,fov,aspect,nearClip,farClip);
  }

  void update()
  {
    if (keyPressed)
    {
//      if (key != CODED)
      {
        if (keyCode == UP)     keyUp();
        if (keyCode == DOWN)   keyDown();
        if (keyCode == LEFT)   keyLeft();
        if (keyCode == RIGHT)  keyRight();
        if (key == 'q' || key == 'Q') this.dolly(-dollySpeed);
        if (key == 'w' || key == 'W') this.dolly(dollySpeed);
      }  
    }

    if (key != CODED && mousePressed)
    {
      float dx = ((float)mouseX - (float)pmouseX)/(float)width;
      float dy = ((float)mouseY - (float)pmouseY)/(float)height;
      this.pan(dx * PI/4);
      this.tilt(-dy * PI/5);
    }

  } 
  
  void feed()
  {
    update();
    super.feed();
  }
  
  void keyUp()
  {
    this.boom(-boomSpeed);
  }
  
  void keyDown()
  {
    this.boom(boomSpeed);
  }
  
  void keyLeft()
  {
    this.truck(-truckSpeed);
  }
  
  void keyRight()
  {
    this.truck(truckSpeed);
  }
};


