class ParticleSystemGeo extends ParticleSystem
{
  String name;
  SphereTangentTransform geoBasis;

  ParticleSystemGeo(String name, int nbParticules)
  {
    this.name = name;
    createParticles(nbParticules);
    geoBasis = new SphereTangentTransform();
  }
  
  ParticleSystemGeo(String name, int nbParticules, float latitude, float longitude, float rSphere)
  {
    this.name = name;
    createParticles(nbParticules);
    geoBasis = new SphereTangentTransform();
    geoBasis.computeFromGeoLocation(latitude,longitude,rSphere);
  }
  

  void setGeoLocation(float latitude, float longitude, float rSphere)
  {
    geoBasis.computeFromGeoLocation(latitude,longitude,rSphere);
  }
  
  void update()
  {
    super.update();
  }

  
  void draw()
  {
    pushMatrix();
    geoBasis.feed();
 //   geoBasis.draw(15);
    super.draw();
if (false){
    fill(209,0,0,255);
    textMode(SHAPE);
    textFont(font);
    translate(5,5,0);
    rotateX(-90);
    text(name, 0, 0);
}
    popMatrix();
  }

}
